Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- y
- z

### - m -

- main : Lucene::ChecksumIndexInput , Lucene::ChecksumIndexOutput
- mapContainer : Lucene::HashMap< KEY, VALUE, HASH, EQUAL > , Lucene::Map< KEY, VALUE, LESS >
- mask : Lucene::BooleanScorerCollector
- MASK : Lucene::BucketTable
- maskedQuery : Lucene::FieldMaskingSpanQuery
- match : Lucene::ComplexExplanation , Lucene::SpanFirstQuery
- matchDoc : Lucene::NearSpansOrdered
- matchEnd : Lucene::NearSpansOrdered
- matchingSegmentPos : Lucene::MultiTermDocs
- matchingSegmentReaders : Lucene::SegmentMerger
- matchingSegments : Lucene::MultiTermEnum
- matchPayload : Lucene::NearSpansOrdered
- matchStart : Lucene::NearSpansOrdered
- matchVersion : Lucene::StandardAnalyzer
- max : Lucene::LengthFilter , Lucene::NearSpansUnordered , Lucene::NumericRangeQuery
- MAX_BYTES_PER_INT : Lucene::SortedVIntList
- MAX_ENCODING_UTF8_SIZE : Lucene::StringUtils
- MAX_RAW_MERGE_DOCS : Lucene::SegmentMerger
- MAX_TERM_LENGTH : Lucene::DocumentsWriter
- MAX_THREAD_PRIORITY : Lucene::LuceneThread
- MAX_THREAD_STATE : Lucene::DocumentsWriter
- MAX_WORD_LEN : Lucene::CharTokenizer
- maxBufferedDeleteTerms : Lucene::DocumentsWriter
- maxBufferedDocs : Lucene::DocumentsWriter
- maxClauseCount : Lucene::BooleanQuery
- maxCoord : Lucene::BooleanScorer , Lucene::Coordinator
- maxDoc : Lucene::AbstractAllTermDocs
- maxDocID : Lucene::MergeDocIDRemapper
- maxFieldLength : Lucene::DocState , Lucene::DocumentsWriter , Lucene::IndexWriter
- MaxFieldLengthLIMITED : Lucene::IndexWriter
- MaxFieldLengthUNLIMITED : Lucene::IndexWriter
- maxInclusive : Lucene::NumericRangeQuery
- maxIndexVersion : Lucene::DirectoryReader
- maxMergeDocs : Lucene::LogMergePolicy
- maxMergeSize : Lucene::LogMergePolicy
- maxNumberOfSkipLevels : Lucene::MultiLevelSkipListReader
- maxNumPostings : Lucene::TermVectorsTermsWriterPerField
- maxNumSegmentsOptimize : Lucene::OneMerge
- maxPosition : Lucene::PhraseQuery
- maxScore : Lucene::TopDocs , Lucene::TopFieldCollector
- maxSize : Lucene::ScorerDocQueue
- maxSkipLevels : Lucene::SegmentTermDocs , Lucene::SegmentTermEnum , Lucene::TermInfosWriter
- maxTermPrefix : Lucene::DocState
- maxThreadCount : Lucene::ConcurrentMergeScheduler
- maxTokenLength : Lucene::StandardAnalyzer , Lucene::StandardTokenizer
- maxVal : Lucene::DocValues
- merge : Lucene::CheckAbort
- MERGE_READ_BUFFER_SIZE : Lucene::IndexWriter
- merged : Lucene::CompoundFileWriter
- mergedDocs : Lucene::SegmentMerger
- mergeDocStores : Lucene::OneMerge , Lucene::SegmentMerger
- mergedSegmentWarmer : Lucene::IndexWriter
- mergeExceptions : Lucene::IndexWriter
- mergeFactor : Lucene::LogMergePolicy
- mergeGen : Lucene::IndexWriter , Lucene::OneMerge
- mergePolicy : Lucene::IndexWriter
- merges : Lucene::MergeSpecification
- mergeScheduler : Lucene::IndexWriter
- mergeThreadPriority : Lucene::ConcurrentMergeScheduler
- mergeThreads : Lucene::ConcurrentMergeScheduler
- mergingSegments : Lucene::IndexWriter
- MESSAGE_ID : Lucene::IndexWriter
- messageID : Lucene::IndexWriter
- messageIDLock : Lucene::IndexWriter
- method : Lucene::TestScope
- min : Lucene::LengthFilter , Lucene::NumericRangeQuery
- MIN_BUFFER_SIZE : Lucene::TermAttribute , Lucene::Token
- MIN_THREAD_PRIORITY : Lucene::LuceneThread
- minDocID : Lucene::MergeDocIDRemapper
- minimumNrMatchers : Lucene::DisjunctionSumScorer
- minimumSimilarity : Lucene::FuzzyQuery , Lucene::FuzzyTermEnum
- minInclusive : Lucene::NumericRangeQuery
- minMergeSize : Lucene::LogMergePolicy
- minNrShouldMatch : Lucene::BooleanQuery , Lucene::BooleanScorer2 , Lucene::BooleanScorer
- minVal : Lucene::DocValues
- missCount : Lucene::CachingSpanFilter , Lucene::CachingWrapperFilter
- missingSegments : Lucene::IndexStatus
- missingSegmentVersion : Lucene::IndexStatus
- MOD_NONE : Lucene::QueryParser
- MOD_NOT : Lucene::QueryParser
- MOD_REQ : Lucene::QueryParser
- more : Lucene::NearSpansOrdered , Lucene::NearSpansUnordered , Lucene::PhraseScorer , Lucene::SpanScorer
- msg : Lucene::Insanity
- multiTermRewriteMethod : Lucene::QueryParser
- mutexSynchronize : Lucene::Synchronize

clucene.sourceforge.net